Bug 249807

Summary: License issues with dependency on File::chmod
Product: [Fedora] Fedora Reporter: Ralf Corsepius <rc040203>
Component: perl-Test-InlineAssignee: Ralf Corsepius <rc040203>
Status: CLOSED UPSTREAM QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: low Docs Contact:
Priority: low    
Version: rawhideCC: lxtnow, perl-devel
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2007-09-27 13:31:16 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
Bug Depends On: 249996, 251128    
Bug Blocks:    

Description Ralf Corsepius 2007-07-27 07:31:48 UTC
Description of problem:
Can't upgrade perl-Test-Inline due to upstream Test::Inline having introduced a
dependency on File::chmod, which doesn't come with any license attached.

cf. http://rt.cpan.org/Public/Bug/Display.html?id=28503

Comment 1 Ralf Corsepius 2007-08-07 10:17:42 UTC
Need perl-Test-Script to be able to upgrade perl-Test-Inline.


Comment 2 Robin Norwood 2007-08-10 17:17:15 UTC
Looks like upstream fixed the licensing issue with File::chmod, fwiw.

Comment 3 Ralf Corsepius 2007-08-10 20:17:23 UTC
(In reply to comment #2)
> Looks like upstream fixed the licensing issue with File::chmod, fwiw.

Yes, c.f.:
https://bugzilla.redhat.com/bugzilla/show_bug.cgi?id=249996